%global pkgname django-registration

Name:           python-django-registration
Version:        0.8
Release:        %mkrel 2
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            http://bitbucket.org/ubernostrum/django-registration
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:	python-setuptools
Requires:       python-django

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf docs/_build/html/.buildinfo

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

#Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc LICENSE AUTHORS CHANGELOG README docs/*
%{py_puresitedir}/*.egg-info
%dir %{py_puresitedir}/registration
%{py_puresitedir}/registration/management
%{py_puresitedir}/registration/backends
%{py_puresitedir}/registration/tests
%{py_puresitedir}/registration/*.py*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 378706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 philippem <philippem> 0.8-1.mga3
+ Revision: 288115
- New upstream release 0.8

* Thu Jan 27 2011 ahmad <ahmad> 0.7-3.mga1
+ Revision: 42406
- imported package python-django-registration

